Ground station offline-connect to the Network API

Hi,
My station has gone offline. I received the notification concerning my API. Everything is well set. How can I solve the problem. Your suggestions are welcome.
My ground station ID 1062.
Sincerely
Silla.

1 Like

Please post the information from “Advanced >> Support” of the satnogs-setup tool.

systemctl start satnogs-client fail then here is the Support file

Generating support report. Please wait…
Traceback (most recent call last):
File “/usr/lib/python3/dist-packages/apt/cache.py”, line 90, in enter
return self._lock.enter()
apt_pkg.Error: E:Could not open lock file /var/lib/apt/lists/lock - open (13: Permission denied)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/var/lib/satnogs-config/bin/satnogs-config”, line 8, in
sys.exit(main())
File “/var/lib/satnogs-config/lib/python3.7/site-packages/satnogsconfig/init.py”, line 29, in main
menu.show()
File “/var/lib/satnogs-config/lib/python3.7/site-packages/satnogsconfig/menu.py”, line 258, in show
self._typesmenu[‘type’]
File “/var/lib/satnogs-config/lib/python3.7/site-packages/satnogsconfig/menu.py”, line 478, in _support
).dump(indent=4) +
File “/var/lib/satnogs-config/lib/python3.7/site-packages/satnogsconfig/helpers/support.py”, line 87, in dump
return json.dumps(self.info, *args, **kwargs)
File “/var/lib/satnogs-config/lib/python3.7/site-packages/satnogsconfig/helpers/support.py”, line 66, in info
“pending-updates”: apt.has_updates(),
File “/var/lib/satnogs-config/lib/python3.7/site-packages/satnogsconfig/helpers/apt.py”, line 17, in has_updates
cache.update()
File “/usr/lib/python3/dist-packages/apt/cache.py”, line 567, in update
with _WrappedLock(apt_pkg.config.find_dir(“Dir::State::Lists”)):
File “/usr/lib/python3/dist-packages/apt/cache.py”, line 93, in enter
(self._path, e))
apt.cache.LockFailedException: Failed to lock directory /var/lib/apt/lists/: E:Could not open lock file /var/lib/apt/lists/lock - open (13: Permission denied)

I’m sorry, here it is!

Generating support report. Please wait…
------------[ copy here ]------------
{
“versions”: {
“satnogs-client”: “1.5.1”,
“satnogs-client-ansible”: “202105092144”,
“satnogs-flowgraphs”: “1.3.1-1”,
“gr-satnogs”: “2.2.1.0-1”,
“gr-soapy”: “2.1.3.1-1”,
“gnuradio”: “3.8.2.0-14satnogs2”,
“satnogs-config”: “0.12”
},
“state”: {
“is-applied”: true,
“pending-tags”: null
},
“system”: {
“date”: “2021-06-01T13:33:17.466361+00:00”,
“distribution”: {
“DESCRIPTION”: “Debian GNU/Linux 10 (buster)”,
“RELEASE”: “10”,
“CODENAME”: “buster”,
“ID”: “Debian”
},
“pending-updates”: false,
“platform”: {
“system”: “Linux”,
“node”: “cceres-sol”,
“release”: “4.19.0-16-amd64”,
“version”: “#1 SMP Debian 4.19.181-1 (2021-03-19)”,
“machine”: “x86_64”,
“processor”: “”
},
“memory”: {
“total”: 16498626560,
“available”: 15767060480,
“percent”: 4.4,
“used”: 397484032,
“free”: 15620145152,
“active”: 464109568,
“inactive”: 209944576,
“buffers”: 63488000,
“cached”: 417509376,
“shared”: 51281920,
“slab”: 106323968
},
“disk”: {
“total”: 231216836608,
“used”: 21598900224,
“free”: 197801377792,
“percent”: 9.8
}
},
“configuration”: {
“hamlib_utils_rig_enabled”: true,
“hamlib_utils_rot_enabled”: true,
“hamlib_utils_rot_opts”: “-m 603 -r /dev/ttyS1 -s 4800 -t 4533”,
“satnogs_antenna”: “RX”,
“satnogs_api_token”: “[redacted]”,
“satnogs_log_level”: “10”,
“satnogs_rf_gain”: “42”,
“satnogs_rot_baud”: “4800”,
“satnogs_rot_model”: “ROT_MODEL_GS232B”,
“satnogs_rot_port”: “4533”,
“satnogs_rx_bandwidth”: “70000000”,
“satnogs_rx_samp_rate”: “2500000.000”,
“satnogs_soapy_rx_device”: “driver=airspy”,
“satnogs_station_elev”: “120”,
“satnogs_station_id”: “1062”,
“satnogs_station_lat”: “48.807”,
“satnogs_station_lon”: “2.229”
}
}

What’s suspicious is that you have an older version of satnogs-client-ansible but the latest version of satnogs-client. It should be:

    "versions": {
        "satnogs-client": "1.5.1",
        "satnogs-client-ansible": "202105301943",
        "satnogs-flowgraphs": "1.3.1-1",
        "gr-satnogs": "2.2.1.0-1",
        "gr-soapy": "2.1.3.1-1",
        "gnuradio": "3.8.2.0-14satnogs2",
        "satnogs-config": "0.12"

Did you update satnogs-client manually somehow or have made any modification on satnogs-client-ansible? Try Update and Apply once more…

I try manually update but doesn’t take it in to account.

But I try now to see if it change.
I should do twice again as Update + Update and reboot?

Are there any error logs from satnogs-client? Run journalctl -u satnogs-client and check for any recent errors.

Update is OK. Here is the new config

{
“versions”: {
“satnogs-client”: “1.5.1”,
“satnogs-client-ansible”: “202105301943”,
“satnogs-flowgraphs”: “1.3.1-1”,
“gr-satnogs”: “2.2.1.0-1”,
“gr-soapy”: “2.1.3.1-1”,
“gnuradio”: “3.8.2.0-14satnogs2”,
“satnogs-config”: “0.12”
},

Thanks!
Ground station is online
journalctl -u satnogs-client show this

Traceback (most recent call last):
juin 01 15:02:01 cceres-sol satnogs-client[524]: File “/var/lib/satnogs/bin/satnogs-client”, line 5, in
juin 01 15:02:01 cceres-sol satnogs-client[524]: from satnogsclient import main
juin 01 15:02:01 cceres-sol satnogs-client[524]: File “/var/lib/satnogs/lib/python3.7/site-packages/satnogsclient/init.py”, line 21, in
juin 01 15:02:01 cceres-sol satnogs-client[524]: logging.basicConfig(format=settings.LOG_FORMAT, level=getattr(logging, settings.LOG_LEVEL))
juin 01 15:02:01 cceres-sol satnogs-client[524]: AttributeError: module ‘logging’ has no attribute ‘10’

AttributeError: module ‘logging’ has no attribute ‘10’ come from DEBUG =10 for WARNING on satnogs settings. But now I remove and it still shown!

Change Advanced -> Debug -> SATNOGS_LOG_LEVEL from ‘10’ to ‘INFO’ and then apply.

Hi Fredy,
I try for every values of debugging (INFO, NOISE, WARNING, INFO, CRITICAL) but I got the same error an output of journalctl -u satnogs-client